<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="ro">
<head>
<!-- Generated by javadoc (13) on Tue May 19 01:49:06 EEST 2020 -->
<title>Uses of Class business_layer.Order</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2020-05-19">
<meta name="description" content="use: package: business_layer, class: Order">
<meta name="generator" content="javadoc/ClassUseWriter">
<link rel="stylesheet" type="text/css" href="../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../script-dir/jquery-ui.css" title="Style">
<script type="text/javascript" src="../../script.js"></script>
<script type="text/javascript" src="../../script-dir/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../../script-dir/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../../script-dir/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../../script-dir/jquery-3.4.1.js"></script>
<script type="text/javascript" src="../../script-dir/jquery-ui.js"></script>
</head>
<body class="class-use">
<script type="text/javascript">var pathtoroot = "../../";
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../index.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../Order.html" title="class in business_layer">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../index-files/index-1.html">Index</a></li>
<li><a href="../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<div class="navListSearch"><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</div>
</div>
<a id="skip.navbar.top">
<!--   -->
</a>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<main role="main">
<div class="header">
<h1 title="Uses of Class business_layer.Order" class="title">Uses of Class<br>business_layer.Order</h1>
</div>
<div class="classUseContainer">
<div class="useSummary">
<table>
<caption><span>Packages that use <a href="../Order.html" title="class in business_layer">Order</a></span><span class="tabEnd">&nbsp;</span></caption>
<thead>
<tr>
<th class="colFirst" scope="col">Package</th>
<th class="colLast" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="altColor">
<th class="colFirst" scope="row"><a href="#business_layer">business_layer</a></th>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</div>
<section class="classUses">
<ul class="blockList">
<li class="blockList">
<section class="detail"><a id="business_layer">
<!--   -->
</a>
<h2>Uses of <a href="../Order.html" title="class in business_layer">Order</a> in <a href="../package-summary.html">business_layer</a></h2>
<div class="useSummary">
<table>
<caption><span>Methods in <a href="../package-summary.html">business_layer</a> that return types with arguments of type <a href="../Order.html" title="class in business_layer">Order</a></span><span class="tabEnd">&nbsp;</span></caption>
<thead>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>java.util.Map&lt;<a href="../Order.html" title="class in business_layer">Order</a>,&#8203;java.util.List&lt;<a href="../MenuItem.html" title="class in business_layer">MenuItem</a>&gt;&gt;</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">Restaurant.</span><code><span class="memberNameLink"><a href="../Restaurant.html#getOrders()">getOrders</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</div>
<div class="useSummary">
<table>
<caption><span>Methods in <a href="../package-summary.html">business_layer</a> with parameters of type <a href="../Order.html" title="class in business_layer">Order</a></span><span class="tabEnd">&nbsp;</span></caption>
<thead>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>float</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">IRestaurantProcessing.</span><code><span class="memberNameLink"><a href="../IRestaurantProcessing.html#computePriceForOrder(business_layer.Order)">computePriceForOrder</a></span>&#8203;(<a href="../Order.html" title="class in business_layer">Order</a>&nbsp;order)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>float</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">Restaurant.</span><code><span class="memberNameLink"><a href="../Restaurant.html#computePriceForOrder(business_layer.Order)">computePriceForOrder</a></span>&#8203;(<a href="../Order.html" title="class in business_layer">Order</a>&nbsp;order)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">IRestaurantProcessing.</span><code><span class="memberNameLink"><a href="../IRestaurantProcessing.html#deleteOrder(business_layer.Order)">deleteOrder</a></span>&#8203;(<a href="../Order.html" title="class in business_layer">Order</a>&nbsp;order)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">Restaurant.</span><code><span class="memberNameLink"><a href="../Restaurant.html#deleteOrder(business_layer.Order)">deleteOrder</a></span>&#8203;(<a href="../Order.html" title="class in business_layer">Order</a>&nbsp;order)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">IRestaurantProcessing.</span><code><span class="memberNameLink"><a href="../IRestaurantProcessing.html#generateBill(java.lang.String,business_layer.Order)">generateBill</a></span>&#8203;(java.lang.String&nbsp;fileName,
<a href="../Order.html" title="class in business_layer">Order</a>&nbsp;order)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">Restaurant.</span><code><span class="memberNameLink"><a href="../Restaurant.html#generateBill(java.lang.String,business_layer.Order)">generateBill</a></span>&#8203;(java.lang.String&nbsp;fileName,
<a href="../Order.html" title="class in business_layer">Order</a>&nbsp;order)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</div>
<div class="useSummary">
<table>
<caption><span>Constructor parameters in <a href="../package-summary.html">business_layer</a> with type arguments of type <a href="../Order.html" title="class in business_layer">Order</a></span><span class="tabEnd">&nbsp;</span></caption>
<thead>
<tr>
<th class="colFirst" scope="col">Constructor</th>
<th class="colLast" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="altColor">
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../Restaurant.html#%3Cinit%3E(java.util.Map,java.util.List)">Restaurant</a></span>&#8203;(java.util.Map&lt;<a href="../Order.html" title="class in business_layer">Order</a>,&#8203;java.util.List&lt;<a href="../MenuItem.html" title="class in business_layer">MenuItem</a>&gt;&gt;&nbsp;orders,
java.util.List&lt;<a href="../MenuItem.html" title="class in business_layer">MenuItem</a>&gt;&nbsp;menu)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</div>
</section>
</li>
</ul>
</section>
</div>
</main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../index.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../Order.html" title="class in business_layer">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../index-files/index-1.html">Index</a></li>
<li><a href="../../help-doc.html">Help</a></li>
</ul>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</body>
</html>
